<?php
include_once('../global.php');

class NetworkMap extends Page
{
  var $FullTitle = 'Mapa sítě';
  var $ShortTitle = 'Mapa sítě';
  var $Load = 'initialize()';
  var $Unload = 'GUnload()';

  function Show()
  {
    global $Config;
    $Output = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true&amp;key='.$Config['Web']['GoogleMapsApiKey'].'"
    type="text/javascript">
  </script>';
    $Output .= '<script type="text/javascript">

    function initialize() 
    {
      if (GBrowserIsCompatible()) 
      {
        var map = new GMap2(document.getElementById("map_canvas"));
        map.setMapType(G_SATELLITE_MAP);
        map.setCenter(new GLatLng(49.260422, 18.081179), 15);
        map.setUIToDefault();

// Create our "tiny" marker icon
var tinyIcon = new GIcon();
tinyIcon.image = "point.gif";
tinyIcon.shadow = "http://labs.google.com/ridefinder/images/mm_20_shadow.png";
tinyIcon.iconSize = new GSize(10, 10);
tinyIcon.shadowSize = new GSize(10, 10);
tinyIcon.iconAnchor = new GPoint(5, 5);
tinyIcon.infoWindowAnchor = new GPoint(5, 1);

// Set up our GMarkerOptions object literal
markerOptions = { icon:tinyIcon };';


    $DbResult = $this->Database->query('SELECT * FROM NetworkDevice');
    while($Device = $DbResult->fetch_assoc())
    {
      $Output .= 'map.addOverlay(new GMarker(new GLatLng('.$Device['PositionLatitude'].', '.$Device['PositionLongitude'].'), markerOptions)); ';
    }
    
    $DbResult = $this->Database->query('SELECT * FROM NetworkLink WHERE Interface1 <> 0 AND Interface2 <> 0');
    while($Link = $DbResult->fetch_assoc())
    {
      $DbResult2 = $this->Database->query('SELECT * FROM NetworkDevice WHERE NetworkDevice.Id = (SELECT Device FROM NetworkInterface WHERE NetworkInterface.Id = '.$Link['Interface1'].')');
      $DbResult3 = $this->Database->query('SELECT * FROM NetworkDevice WHERE NetworkDevice.Id = (SELECT Device FROM NetworkInterface WHERE NetworkInterface.Id = '.$Link['Interface2'].')');
      if(($DbResult2->num_rows > 0) and ($DbResult3->num_rows > 0))
      {
        $Device1 = $DbResult2->fetch_assoc();
        $Device2 = $DbResult3->fetch_assoc();
        $Output .= 'map.addOverlay(new GPolyline([new GLatLng('.$Device1['PositionLatitude'].', '.$Device1['PositionLongitude'].'),new GLatLng('.$Device2['PositionLatitude'].', '.$Device2['PositionLongitude'].')], "#FFFFFF", 3, 0.8)); ';
      }
    }
    $Output .= '    
       }      
    }
    </script>';
    $Output .= '<div align="center">
    <div id="map_canvas" style="width: 800px; height: 500px;"></div>
    <div id="message"></div>
    <div id="message2"></div>
    </div>';
    return($Output);
  }
}
  
$System->AddModule(new NetworkMap());
$System->Modules['NetworkMap']->GetOutput();

?>
